;       Last change    August 1993
(in-package number)

; the number construct is for representing named numbers. Their bounds
; and links to other named numbers are maintained here.

(defstruct epinumber
  (name nil)				; name of number
  (ntype nil)				; type of num - integer or real
  (max nil)				; maximum number can be
  (value nil)				; exact value if known
  (min nil)				; minimum number can be
  (next nil)				; list of numbers after this one
  (prev nil)				; list of numbers before this one
  (strict-next nil)			; list of numbers strictly after 
  (strict-prev nil)			; list of numbers strictly before 
  )

(defstruct number-subnet
  (identifier nil)			; net identifier (context)
  (numbers nil)			        ; hash table of number constants
  )

(defvar current-net nil "current net for use in evaluating functions")
